# Unconditionally ignore MIBs

Foundation or obsolete MIBs that should never be transformed can be blindly excluded by listing their names at the StubSearcher class instance.

class pysmi.searcher.stub.StubSearcher(*mibnames)

  Figures out if given MIB module is present in a fixed list of modules.

  Create an instance of StubSearcher initialized with a fixed list or MIB modules names.

  Parameters:

    mibnames (str) – blacklisted MIB names

  Note

  A pysnmp-specific list of MIB names to be permanently excluded from transformation can be found at `pysmi.codegen.pysnmp.baseMibs`.